/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/





h1 {
    -webkit-text-stroke: 1px #fff;
    color: transparent !important;

}

.image-realisation a::after{
    content:'';
    opacity: 0;

    width: 100%;
    height: 100%;
    z-index: 1;
    position: absolute;
    top:0px;
    left:0px;
    transition: 0.15s all linear;
}

.image-realisation:hover a::after{
    content:'';
    background-color: #00000078;
    width: 100%;
    height: 100%;
    z-index: 1;
    position: absolute;
    top:0px;
    left:0px;
    opacity: 1;
    transition: 0.15s all linear;
}

.image-realisation:hover a::before{
    content:'';
    background:url('/wp-content/uploads/2024/10/oeil-hover.svg');
    position: absolute;
    top:calc(50% - 30px);
    left:calc(50% - 30px);
    width: 60px;
    height: 60px;
    z-index: 2;
}

.cff-posts-wrap a{
    color:#E84E1B !important;
}

.cuisine h1 {
    -webkit-text-stroke: 1px black;
    -webkit-text-stroke-width: 1px;
    -webkit-text-stroke-color: rgb(0, 0, 0);
    color: transparent !important;
}

.page-id-40 .cuisine h1 {
    height: 233px;
}

.page-id-40 .cuisine h1 span {

    border-right: 2px solid black;
    animation: blink 1s step-end infinite;
}

h1 br {
    line-height: 20px;
}

.accueil h1 {
    line-height: 110px !important;
    display: block;
    
}

.page-id-36 .accueil h1{
    line-height: 0px !important;
}

.accueil h1 a{
    animation-name: slideUp;
    animation-duration: 6s;
    animation-timing-function: ease-in-out;
    color:transparent !important; 
    transform: translateY(100%);
    animation-fill-mode: forwards;
    opacity: 0;
}

.separateur-animation .elementor-widget-container{
    width: 0%;
}

.separateur-animation.anime .elementor-widget-container{
    animation: sep-animation 1s linear forwards;
}

.photo-animation.anime img{
    -webkit-clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
    clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
    transition: all 1.5s cubic-bezier(.215,.61,.355,1);
}

.photo-animation img{
    width: 100%;
    height: 788px;
    object-fit: cover;
    object-position: center;
    -webkit-clip-path: polygon(10% 10%, 90% 10%, 90% 90%, 10% 90%);
    clip-path: polygon(10% 10%, 90% 10%, 90% 90%, 10% 90%);
    transition: all 1.5s cubic-bezier(.215,.61,.355,1);
}

@keyframes sep-animation {
    from {
        width: 0%;
      }
      to {
        width: 100%;
      }
}

.page-id-42 .accueil h1 span{
    width: auto;
    display: inline-block;
}

.accueil h1 div.div-around-title:nth-of-type(2) a{
    animation-delay: 0.5s;
}

.accueil h1 div.div-around-title:nth-of-type(3) a{
    animation-delay: 1s;
}

.bouton-retour a.elementor-button:hover .elementor-button-icon {
    margin-left: 0px;
    margin-right: 0px;
    transition: 0.3s all linear;
}

.accueil.titre-realisation h1{
    animation-name: slideUp;
    animation-duration: 6s;
    animation-timing-function: ease-in-out;
    color:transparent !important; 
    transform: translateY(100%);
    animation-fill-mode: forwards;
    opacity: 0;
}



@keyframes slideUp {
    0%,
    10% {
      transform: translateY(100%);
      opacity: 0;
    }
     
    20%,
    100% {
      transform: translateY(0);
      opacity: 1;
    
    }
  }

  @keyframes blink {
    50% { border-color: transparent; }
  }

  .page-id-38 .accueil h1 span {
    width: auto;
    display: inline-block;
}

  .div-around-title{
    overflow: hidden;
    padding-top: 15px;
    padding-bottom: 15px;
    line-height: 110px;
  }

.accueil h1 span {
    padding-top: 0px;
    padding-bottom: 0px;
    display: block;
    border-right: 2px solid rgba(255,255,255,0.75);
    animation: blink 1s step-end infinite;
}

@keyframes opaci {
    0%,
    10% {
      opacity: 0;
    
    }
    10%,
    100% {
      opacity: 1;
    
    }
  }

.elementor-field-type-submit .elementor-button-text {
    color: white !important;
    font-size: 18px;
    line-height: 22px;
}

.lien-footer a{
    color:white !important;
 }
 
 .elementor-location-footer a[href^=tel] {
    color: white !important;
    text-decoration: none !important;
 }

 .page-id-46 a[href^=tel] {
    color: white !important;
    text-decoration: none !important;
 }

.grecaptcha-badge {
    display: none;
}

.section-header-flou {
    backdrop-filter: blur(10px);
    background-color: #ffffff24;
    -webkit-backdrop-filter: blur(10px);
}

.section-flou {
    backdrop-filter: blur(10px);
    background-color: #ffffff24;
    -webkit-backdrop-filter: blur(10px);
}

.logo-partenaires-listing .swiper-slide img {
    filter: brightness(100%) contrast(100%) saturate(0%) blur(0px) hue-rotate(0deg);
    transition-duration: 0.5s;
}

.logo-partenaires-listing:hover img {
    filter: brightness(100%) contrast(100%) saturate(100%) blur(0px) hue-rotate(0deg);
}

.bouton-cuisistyle .elementor-button-icon svg {
    width: 24px;
    height: 24px;
    margin-bottom: -3px;
}

.bouton-cuisistyle .elementor-button-content-wrapper {
    align-items: center;
}

.bouton-flou a {
    backdrop-filter: blur(10px);
    background-color: #ffffff24 !important;
    -webkit-backdrop-filter: blur(10px);
}


.accueil a {
    -webkit-text-stroke: 1px #fff !important;
    display: inline-block;
    line-height: 110px !important;
    margin-bottom: 40px;
    width: auto;
    position: relative;
}

.accueil a::after {
    content: '';
    width: 70px;
    height: 19px;
    position: absolute;
    right: -110px;
    top: calc(50% - 9.5px);
    transition: background-position 0.5s;
    background-size: 200% 100%;
    background-image: linear-gradient(to right, #E84E1B 50%, transparent 50%);
    background-position: 100% 0;
}

.accueil a:hover::after {
    background-position: 0 0;
}


.no-margin p {
    margin-bottom: 0px;
}

.slider-realisations .prev-arrow::before {
    content: '';
    background: url('https://www.cuisistyle.fr/wp-content/uploads/2024/08/icone-slider-left.svg');
    width: 36px;
    height: 36px;
    position: absolute;
    top: 0px;
    left: 0px;
    background-repeat: no-repeat;
    background-size: contain;
}

.slider-realisations .prev-arrow:hover::before{
    background: url('/wp-content/uploads/2024/08/fleche-gauche.svg');
}

.slider-realisations .prev-arrow svg {
    display: none;
}

.slider-realisations .next-arrow::before {
    content: '';
    background: url('https://www.cuisistyle.fr/wp-content/uploads/2024/08/icone-slider-left.svg');
    width: 36px;
    height: 36px;
    position: absolute;
    top: 0px;
    left: 0px;
    background-repeat: no-repeat;
    background-size: contain;
}

.slider-realisations .next-arrow:hover::before{
    background: url('/wp-content/uploads/2024/08/fleche-gauche.svg');
}

.slider-realisations .next-arrow svg {
    display: none;
}

.slider-realisations img {
    max-height: 550px;
    object-fit: cover;
}

a.elementor-button:hover .elementor-button-icon {
    margin-left: 10px;
    margin-right: -10px;
    transition: 0.3s all linear;
}

.bouton-pop-up .elementor-button-icon{
    margin:0px !important;
}

a.elementor-button .elementor-button-icon {
    transition: 0.3s all linear;

}

button.elementor-button .elementor-button-icon {
    transition: 0.3s all linear;

}

button.elementor-button:hover .elementor-button-icon {
    margin-left: 10px;
    margin-right: -10px;
    transition: 0.3s all linear;
}

.jet-image-accordion__content a::after {
    transition: 0.3s all linear;
}

.jet-image-accordion__content a:hover::after {
    margin-left: 10px;
    margin-right: -10px;
    transition: 0.3s all linear;
}

.slider-categories-produits .sous-titre {
    font-size: 35px;
    line-height: 42px;
    color: #000000;
    font-weight: 300;
    margin-bottom: 0px;
    display: block;
    writing-mode: vertical-rl;
    rotate: 180deg;
}

.slider-categories-produits .active-accordion .sous-titre {
    writing-mode: horizontal-tb;
    rotate: none;
}

.slider-categories-produits .active-accordion img {
    flex: 1 1 50%;
    right: 0px;
    left: inherit;
    width: 47%;
}

.jet-engine-gallery-slider .prev-arrow::before {
    content: '';
    background: url('/wp-content/uploads/2024/08/icone-slider-prev.svg');
    position: absolute;
    top: calc(50% - 18px);
    left: calc(50% - 18px);
    width: 36px;
    height: 36px;
}

.jet-engine-gallery-slider .prev-arrow:hover::before{
    background: url('/wp-content/uploads/2024/08/realisations-gauche.svg');

}

.jet-engine-gallery-slider .next-arrow::before {
    content: '';
    background: url('/wp-content/uploads/2024/08/icone-slider-next.svg');
    position: absolute;
    top: calc(50% - 18px);
    left: calc(50% - 18px);
    width: 36px;
    height: 36px;
}

.jet-engine-gallery-slider .next-arrow:hover::before{
    background: url('/wp-content/uploads/2024/08/realisations-droite.svg');
}

.jet-engine-gallery-slider .next-arrow svg {
    display: none;
}

.mentions-legales h2 {
    font-size: 35px;
    line-height: 35px;
    margin-top: 50px;
}

.mentions-legales a {
    color: #E84E1B;
}

.mentions-legales em {
    font-style: normal;
}

.jet-engine-gallery-slider .jet-engine-arrow {
    top: -50px;
    left: 0px;
}

.jet-engine-gallery-slider .jet-engine-arrow.next-arrow {
    left: 65px;
    right: inherit;
}

.jet-engine-gallery-slider .prev-arrow svg {
    display: none;
}

.slider-categories-produits .active-accordion .jet-image-accordion__content {
    background-color: transparent;
    flex: 1 1 50%;
    width: 47%;
    justify-content: flex-start !important;
}

.slider-categories-produits .active-accordion .jet-image-accordion__content .jet-image-accordion__desc p {
    display: block;
    margin-top: 20px;
}

.slider-categories-produits .jet-image-accordion__item.active-accordion img {
    display: block;
}

.slider-categories-produits .jet-image-accordion__item img {
    display: none;
}

.slider-categories-produits .jet-image-accordion__desc {
    display: flex;
    justify-content: center;
}

.slider-categories-produits .active-accordion .jet-image-accordion__desc {
    display: block;
}

.slider-categories-produits .jet-image-accordion__content {
    background-color: transparent;
    flex: 1 1 50%;
    width: 100%;
    opacity: 1;
    display: flex;
    justify-content: space-between !important;
}

.slider-categories-produits .jet-image-accordion__content .jet-image-accordion__title {
    text-align: center !important;
}

.slider-categories-produits .active-accordion .jet-image-accordion__content .jet-image-accordion__title {
    text-align: left !important;
}

.slider-categories-produits .jet-image-accordion__content .jet-image-accordion__desc p {
    display: none;
}

.slider-categories-produits .jet-image-accordion__content .jet-image-accordion__button {
    display: none;
}

.slider-categories-produits .active-accordion .jet-image-accordion__content .jet-image-accordion__button {
    display: block;
}

.slider-categories-produits .jet-image-accordion__content .jet-image-accordion__button {
    position: relative;
    padding-right: 60px !important;
}

.slider-categories-produits .jet-image-accordion__content .jet-image-accordion__button::after {
    content: '';
    background: url('/wp-content/uploads/2024/08/icone-bouton-cuisistyle.svg');
    width: 24px;
    height: 24px;
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    right: 19px;
    top: 9px;
}

.slider-categories-produits .jet-image-accordion__item:last-child {
    border-right: 1px solid #D5D5D5 !important;
}

.galerie-logos img {
    width: 100%;
    object-fit: contain;
}

.wrapper {
    max-width: 100%;
    overflow: hidden;
}

.image-garantie::after {
    content: '';
    background: linear-gradient(#000000 5%, #00000000);
    height: 100%;
    width: 100%;
    position: absolute;
    z-index: 1;
    pointer-events: none;
    top: 0px;
    left: 0px;
}

.marquee {
    white-space: nowrap;
    overflow: hidden;
    display: inline-block;
    animation: marquee 30s linear infinite;
}

.marquee p {
    display: inline-block;
    font-size: 100px;
    line-height: 100px;
    color: black;
    font-weight: bold;
    margin-bottom: 0px;
}

.red {
    color: #E84E1B;
}

.marquee p:last-child {
    margin-left: 20px;
}

.pop-up-menu-resp .dialog-widget-content {
    top: 150px;
    right: 30px;
}

@keyframes marquee {
    0% {
        transform: translate3d(0, 0, 0);
    }

    100% {
        transform: translate3d(-50%, 0, 0);
    }
}


.marquee-bottom {
    white-space: nowrap;
    overflow: hidden;
    display: inline-block;
    animation: marquee-bottom 30s linear infinite;
}

@keyframes marquee-bottom {
    0% {
        transform: translate3d(-50%, 0, 0);
    }

    100% {
        transform: translate3d(0, 0, 0);
    }
}

.marquee-bottom p {
    display: inline-block;
    font-size: 100px;
    line-height: 100px;
    color: black;
    font-weight: bold;
    margin-bottom: 0px;
}

.marquee-bottom p:last-child {
    margin-left: 20px;
}

@media screen and (max-width:1366px) {
    .accueil a{
        line-height: 100px !important;
        margin-bottom: 40px;
    }
    .accueil h1 {
        line-height: 100px !important
    }

    .accueil h1 span {

        display: block;
    }
}

@media screen and (max-width:1200px) {
    .page-id-40 .cuisine h1 {
        height: 160px;
    }
}

@media screen and (max-width:1024px) {
    .accueil a{
        line-height: 80px !important;
        margin-bottom: 40px;
    }
    
    .accueil h1 {
        line-height: 80px !important
    }

    .accueil h1 span {

        display: block;
    }
    .page-id-40 .cuisine h1 {
        height: 120px;
    }
}

@media screen and (max-width:880px) {
    .jet-engine-gallery-slider .jet-engine-arrow {
        top: -115px;
    }

    .pop-up-menu-resp .dialog-widget-content {
        top: 109px !important;
    }

    .page-id-40 .cuisine h1 {
        height: 100px;
    }
    
}

@media screen and (max-width:767px) {
    .slider-categories-produits .jet-image-accordion__content .jet-image-accordion__title {
        text-align: left !important;
    }
    
    .slider-categories-produits .active-accordion .jet-image-accordion__content .jet-image-accordion__title {
        text-align: left !important;
    }
    .accueil a{
        line-height: 40px !important;
        margin-bottom: 20px;
    }
    h2 {
        font-size: 24px !important;
        line-height: 28px !important;
    }

    .accueil h1 {
        line-height: 35px !important
    }
    

    .accueil h1 span {

        display: block;
    }

    .slider-realisations img {
        max-height: 300px;
        object-fit: cover;
    }

    .slider-categories-produits .jet-image-accordion__item {
        flex-direction: column;
        height: auto;
        border: none !important;
        border-bottom: 1px solid #D5D5D5 !important;
        padding-top: 20px;
        padding-bottom: 20px;
    }

    .slider-categories-produits .sous-titre {
        font-size: 25px;
        line-height: 30px;
        text-align: left;
    }

    .slider-categories-produits .active-accordion .jet-image-accordion__content .jet-image-accordion__title {
        text-align: left !important;
    }

    .slider-categories-produits .jet-image-accordion__item:last-child {
        border-right: none !important;
        border-bottom: 0px !important;
    }

    .slider-categories-produits .jet-image-accordion__item.active-accordion {
        height: auto !important;
    }

    .slider-categories-produits .jet-image-accordion__item.active-accordion img {
        position: relative;
        width: 100%;
    }

    .slider-categories-produits .active-accordion .jet-image-accordion__content {
        position: relative;
        width: 100%;
        padding-top: 50px !important;
        padding-bottom: 30px !important;
    }

    .slider-categories-produits .jet-image-accordion__list {
        height: auto !important;
    }

    .slider-categories-produits .sous-titre {
        writing-mode: initial;
        rotate: none;
    }

    .slider-categories-produits .jet-image-accordion__title {
        margin-bottom: 20px !important;
    }

    .slider-categories-produits .jet-image-accordion__content {
        position: relative;
    }

    .marquee p {
        font-size: 60px;
        line-height: 60px;

    }

    .marquee-bottom p {
        font-size: 60px;
        line-height: 60px;
    }


.page-id-40 .cuisine h1 {
    height: 61px;
}

    .jet-engine-gallery-slider .jet-engine-arrow {
        top: -85px;
    }

    .pop-up-menu-resp .dialog-widget-content {
        top: 85px !important;
    }
    .slider-categories-produits .jet-image-accordion__desc {
        display: flex;
        justify-content: left;
    }
}

@media screen and (max-width:600px) {
    .pop-up-menu-resp .dialog-widget-content {
        top: 130px;
        right: 30px;
    }
}

@media screen and (max-width:500px) {
    .image-garantie::after {
        content: '';
        background: linear-gradient(#000000 10%, #00000000);
        height: 100%;
        width: 100%;
        position: absolute;
        z-index: 1;
        pointer-events: none;
        top: 0px;
        left: 0px;
    }
}